var express = require('express');
var route = express.Router();


route.use((req, res, next) => {
	if(!req.session || !req.session.user) {
		if(!req.path.startsWith('/api')) {
			let path = (global['gds'].cfg.web.rootUrl+'/auth');

			if(global['gds'].cfg.web.doubleSlashCheck) path = path.replace(/\/+/g, "/");

			res.redirect(path);
		} else {
			res.redirect('/auth'+req.path);
		}
	} else next();
});

route.get('/', (req, res) => {
	res.status(202).end('test');
});

module.exports = route;
